import request from '@/utils/request'

// 查询特种设备压力管道台账历史列表
export function listYlgd(query) {
  return request({
    url: '/his/ylgd/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备压力管道台账历史详细
export function getYlgd(id) {
  return request({
    url: '/his/ylgd/' + id,
    method: 'get'
  })
}

// 新增特种设备压力管道台账历史
export function addYlgd(data) {
  return request({
    url: '/his/ylgd',
    method: 'post',
    data: data
  })
}

// 修改特种设备压力管道台账历史
export function updateYlgd(data) {
  return request({
    url: '/his/ylgd',
    method: 'put',
    data: data
  })
}

// 删除特种设备压力管道台账历史
export function delYlgd(id) {
  return request({
    url: '/his/ylgd/' + id,
    method: 'delete'
  })
}

// 导出特种设备压力管道台账历史
export function exportYlgd(query) {
  return request({
    url: '/his/ylgd/export',
    method: 'get',
    params: query
  })
}